Bug 302091 - Review Request: londonlaw - Online multiplayer version of a well known detective boardgame
Review Request: londonlaw - Online multiplayer version of a well known detect...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Chapman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-23 04:48 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 16:02:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
packages: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-09-23 04:48:58 EDT
Spec URL: http://people.atrpms.net/~hdegoede/londonlaw.spec
SRPM URL: http://people.atrpms.net/~hdegoede/londonlaw-0.2.1-1.fc8.src.rpm
Description:
London Law is an online multiplayer version of a well known detective
boardgame. The game is unusually asymmetric; one player controls the movements 
of the criminal Mr. X as he tries to evade the detectives, while another one to
five players control five detectives trying to track him down. Mr. X has an
advantage in access to transportation routes, and his precise location remains
hidden for most of the game. The detectives have only the advantage of superior
numbers, so they must work in concert to limit the criminal's options. London
Law features an attractive map overlaid on high-resolution satellite imagery.
Comment 1 Ian Chapman 2007-09-30 18:29:37 EDT
* rpmlint:  No Problems
* Package named correctly: Yes
* Patches named correctly: Yes
* Spec file named correctly: Yes
* Licence(s) acceptable: Yes
* Licence field matches: Yes
* Licence file installed: Yes (and included upstream)
* Spec file in American English: Yes
* Source matches upstream: Yes
* Locales use %find_lang: N/A
* Contains %clean: Yes
* %install contain rm -rf %{buildroot} or similar: Yes
* Specfile legible: Yes
* Compiles and builds ok: Yes (mock/fc6/x86_64)
* Calls ldconfig in %post/%postun for shlibs: N/A
* Owns directories it creates: Yes
* Duplicate files: No
* Permissions set correctly: Yes
* Consistent macro use: Yes
* Separate -doc needed (for large docs): Not Needed
* %doc affects runtime: N/A
* Headers and static libs in -devel: N/A
* .pc files in -devel: N/A
* .so in -devel: N/A
* -devel requires base: N/A
* Contains .la files: N/A
* Owns files it didn't create: No
* .desktop files included and installed correctly: Yes
* Filenames valid UTF8: Yes



1. Uses a "non standard" buildroot. You may wish to change that to:

%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


2. The README file seems useless to me and probably shouldn't be installed.

Other than that, the package seems good.
Comment 2 Hans de Goede 2007-10-01 04:07:23 EDT
New version:

* Mon Oct  1 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2.1-2
- Use default BuildRoot (bz 302091)
- Don't ship README (no usefull info) (bz 302091)

Spec URL: http://people.atrpms.net/~hdegoede/londonlaw.spec
SRPM URL: http://people.atrpms.net/~hdegoede/londonlaw-0.2.1-2.fc8.src.rpm
Comment 3 Ian Chapman 2007-10-01 08:19:33 EDT
This version still ships the README, probably just an oversight. Please fix that
before import.

Package is APPROVED.
Comment 4 Hans de Goede 2007-10-01 08:36:01 EDT
New Package CVS Request
=======================
Package Name:      londonlaw
Short Description: Online multiplayer version of a well known detective boardgame
Owners:            jwrdegoede
Branches:          F-7 devel
InitialCC:         <empty>
Cvsextras Commits: Yes
Comment 5 Kevin Fenzi 2007-10-01 15:42:18 EDT
cvs done.
Comment 6 Hans de Goede 2007-10-02 16:02:19 EDT
Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.